Nokia N97 SDK Example Applications Guide

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CHsWidgetAppView Class Reference

Inheritance diagram for CHsWidgetAppView:

List of all members.

## Detailed Description

Definition at line 17 of file HsWidgetAppView.h.

## Public Member Functions
virtual | ~CHsWidgetAppView ()
void | Draw (const TRect &aRect) const
virtual void | SizeChanged ()
## Static Public Member Functions
static CHsWidgetAppView * | NewL (const TRect &aRect)
static CHsWidgetAppView * | NewLC (const TRect &aRect)
## Private Member Functions
void | ConstructL (const TRect &aRect)
| CHsWidgetAppView ()

## Constructor & Destructor Documentation

CHsWidgetAppView::~CHsWidgetAppView | ( |  | ) | `[virtual]`

| ~CHsWidgetAppView Virtual Destructor. Definition at line 73 of file HsWidgetAppView.cpp.
    00074         {
    00075         // No implementation required
    00076         }

CHsWidgetAppView::CHsWidgetAppView | ( |  | ) | `[private]`

| CHsWidgetAppView. C++ default constructor. Definition at line 63 of file HsWidgetAppView.cpp.
    00064         {
    00065         // No implementation required
    00066         }

## Member Function Documentation

CHsWidgetAppView * CHsWidgetAppView::NewL | ( | const TRect & | aRect | ) | `[static]`

  | NewL. Two-phased constructor. Create a CHsWidgetAppView object, which will draw itself to aRect. Parameters:
  | aRect | The rectangle this view will be drawn to.
Returns: a pointer to the created instance of CHsWidgetAppView. Definition at line 21 of file HsWidgetAppView.cpp. References NewLC(). Referenced by CHsWidgetAppUi::ConstructL().
    00022         {
    00023         CHsWidgetAppView* self = CHsWidgetAppView::NewLC(aRect);
    00024         CleanupStack::Pop(self);
    00025         return self;
    00026         }

CHsWidgetAppView * CHsWidgetAppView::NewLC | ( | const TRect & | aRect | ) | `[static]`

  | NewLC. Two-phased constructor. Create a CHsWidgetAppView object, which will draw itself to aRect. Parameters:
  | aRect | Rectangle this view will be drawn to.
Returns: A pointer to the created instance of CHsWidgetAppView. Definition at line 33 of file HsWidgetAppView.cpp. References ConstructL(). Referenced by NewL().
    00034         {
    00035         CHsWidgetAppView* self = new ( ELeave ) CHsWidgetAppView;
    00036         CleanupStack::PushL(self);
    00037         self->ConstructL(aRect);
    00038         return self;
    00039         }

void CHsWidgetAppView::Draw | ( | const TRect & | aRect | ) | const

  | From CCoeControl, Draw Draw this CHsWidgetAppView to the screen. Parameters:
  | aRect | the rectangle of this view that needs updating
Definition at line 83 of file HsWidgetAppView.cpp.
    00084         {
    00085         // Get the standard graphics context
    00086         CWindowGc& gc = SystemGc();
    00087
    00088         // Gets the control's extent
    00089         TRect drawRect(Rect());
    00090
    00091         // Clears the screen
    00092         gc.Clear(drawRect);
    00093
    00094         }

void CHsWidgetAppView::SizeChanged | ( |  | ) | `[virtual]`

| From CoeControl, SizeChanged. Called by framework when the view size is changed. Definition at line 101 of file HsWidgetAppView.cpp.
    00102         {
    00103         DrawNow();
    00104         }

void CHsWidgetAppView::ConstructL | ( | const TRect & | aRect | ) | `[private]`

  | ConstructL 2nd phase constructor. Perform the second phase construction of a CHsWidgetAppView object. Parameters:
  | aRect | The rectangle this view will be drawn to.
Definition at line 46 of file HsWidgetAppView.cpp. Referenced by NewLC().
    00047         {
    00048         // Create a window for this application view
    00049         CreateWindowL();
    00050
    00051         // Set the windows size
    00052         SetRect(aRect);
    00053
    00054         // Activate the window, which makes it ready to be drawn
    00055         ActivateL();
    00056         }

The documentation for this class was generated from the following files:

- HsWidgetAppView.h
- HsWidgetAppView.cpp

© Nokia 2009 |